﻿<%@ Page Title="" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true" CodeBehind="AppResourceDownload.aspx.cs" Inherits="Ifs.TouchApps.OnPremise.ServerRole.AppResourceDownload" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">
    <script language="javascript" type="text/javascript">
    String.Format = function () {
        var s = arguments[0];
        for (var i = 0; i < arguments.length - 1; i++) {
            var reg = new RegExp("\\{" + i + "\\}", "gm");
            s = s.replace(reg, arguments[i + 1]);
        }
        return s;
    }
    function OkDialog(obj, title, dialogText, url) {

        $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
        $('#dialog').dialog
                ({
                    modal: true,
                    resizable: true,
                    draggable: false,
                    modal: true,
                    close: function (event, ui) { $('body').find('#dialog').remove(); },
                    buttons:
                    {
                        'Ok': function () {
                            $(this).dialog('close');
                            $.ajax({ url: url, cache: false }, function () {
                            });
                            location = location;
                        }
                    }
                });

    }
    function ToggleLocalizationsVisibility() {
        var cb = document.getElementById("<%= CheckBoxShowLocalizations.ClientID %>");

        if (cb.checked) {
            document.getElementById("AppLocalizations").className = "boxedFrame";
        }
        else {
            document.getElementById("AppLocalizations").className = "hidden";
        }
        
    }
</script>
    <div>
        <h2>
            App Download 
            Management</h2>
    </div>
    <div class="clear" style="height: 25px;">
        <asp:Literal ID="Literal1" runat="server"></asp:Literal>
    </div>
    <div id="RegistrationStatus">
        <h3>
            Cloud Connection Status</h3>
        <asp:Label ID="LabelRegistrationStatus" CssClass="label" runat="server"></asp:Label>
        <br />
    </div>
    <br />

    <div id="AppVersions" class="TextHolder">
    <h3>Available App Resources</h3>
            For information about the different apps see <asp:LinkButton ID="LinkButton1" runat="server" CssClass="purpleLinkButton" PostBackUrl="https://cloud.ifsworld.com/Apps.aspx">IFS Cloud.</asp:LinkButton>
        <div class="clear" style="height: 10px;">
        </div>
        <div id="boxedFrame">
            <asp:RadioButton GroupName="all" Checked="true" runat="server" ID="rbLatest" AutoPostBack="true"  Text="Latest" />
            <asp:RadioButton GroupName="all" runat="server" ID="rbAll" AutoPostBack="true" Text="All" />
            <asp:PlaceHolder ID="AppVersionsPlaceHolder" runat="server"></asp:PlaceHolder>
        </div>
        <div class="clear" style="height: 25px;">
        </div>

        <asp:CheckBox ID="CheckBoxShowLocalizations" Text="Show Available Localizations" runat="server" OnClick="ToggleLocalizationsVisibility();" />        
        <div id="AppLocalizations" class="hidden">
            <asp:PlaceHolder ID="AppLocalizationsPlaceHolder" runat="server">
            </asp:PlaceHolder>

            <div class="clear" style="height: 15px;">
            </div>
            <asp:Label id="LabelRestartInfo" runat="server">The IFS Touch Apps Server Application Pool must be recycled to be able to use downloaded localizations.</asp:Label>
        </div>

        <div class="buttonPane">
          <asp:Button ID="ButtonDownload" runat="server" Text="Download" CssClass="purpleButton"
            onclick="ButtonDownload_Click" />
        </div> 
        <div class="clear" style="height: 25px;">
        </div>
    </div>
</asp:Content>
