﻿<%@ Page Title="" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true" CodeBehind="CloudConnectionRegistration.aspx.cs" Inherits="Ifs.TouchApps.OnPremise.ServerRole.CloudConnectionRegistration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">
    <script language="javascript" type="text/javascript">

        String.Format = function () {
            var s = arguments[0];
            for (var i = 0; i < arguments.length - 1; i++) {
                var reg = new RegExp("\\{" + i + "\\}", "gm");
                s = s.replace(reg, arguments[i + 1]);
            }
            return s;
        }

        function OkDialog(obj, title, dialogText, url) {

            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
                ({
                    modal: true,
                    resizable: true,
                    draggable: false,
                    modal: true,
                    close: function (event, ui) { $('body').find('#dialog').remove(); },
                    buttons:
                    {
                        'Ok': function () {
                            $(this).dialog('close');
                            $.ajax({ url: url, cache: false }, function () {
                            });
                            location = location;
                        }
                    }
                });

        }
        function UnregisterConfirmDialog(obj, title, dialogText, url) {

            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
                ({
                    modal: true,
                    resizable: true,
                    draggable: false,
                    modal: true,
                    close: function (event, ui) { $('body').find('#dialog').remove(); },
                    buttons:
                    {
                        'Yes': function () {
                            $(this).dialog('close');
                            $.ajax({
                                type: "POST",
                                url: "CloudConnectionRegistration.aspx/Unregister",
                                data: "{}",
                                contentType: "application/json",
                                dataType: "json",
                                success: function (msg) {
                                    $("#Unregistered").text(msg.d);
                                    $("#ButtonPane").hide();
                                    $("#DivTableRegistered").hide();
                                }
                            });
                        },
                        'No': function () {
                            $(this).dialog('close');
                        }
                    }
                });
        }
              
    </script>
<div>
<h3>Cloud Connection Registration</h3>
    <div id="Unregistered"></div>
    <div id="DivTableRegistered">
    <asp:Table ID="TableRegistered" runat="server" Visible="false">
        <asp:TableRow ID="TableRow1" runat="server">
        <asp:TableCell><asp:Label ID="LabelRegistrationStatus" runat="server"></asp:Label> </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
    </div>

    <div id="DivTableRegistration">
    <asp:Table ID="TableRegistration" runat="server" Visible="true">
        <asp:TableRow runat="server">
        <asp:TableCell>System: </asp:TableCell>
        <asp:TableCell><asp:DropDownList ID="DropDownListSystems" runat="server" DataTextField="cloud_installation_id" DataValueField="cloud_installation_id"></asp:DropDownList></asp:TableCell>
        </asp:TableRow>
    </asp:Table>
    </div>

    <div class="buttonPane" id="ButtonPane">
        <asp:Button id="ButtonRegister" OnClick="ButtonRegister_Click" Text="Register" runat="server" CssClass="purpleButton"/>
        <asp:Button ID="ButtonUnregister" OnClick="ButtonUnRegister_Click" Text="Unregister" runat="server" CssClass="purpleButton" Visible="false"/>
    </div>
    <br />
</div>
</asp:Content>
