﻿<%@ Page Title="" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true"
    CodeBehind="CustomerPortal.aspx.cs" Inherits="Ifs.TouchApps.OnPremise.ServerRole.CustomerPortal" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">

    <script language="javascript" type="text/javascript">
        String.Format = function () {
            var s = arguments[0];
            for (var i = 0; i < arguments.length - 1; i++) {
                var reg = new RegExp("\\{" + i + "\\}", "gm");
                s = s.replace(reg, arguments[i + 1]);
            }
            return s;
        }
        function Reload() {
            location.reload();
        }

        function ConfirmDialog(obj, title, dialogText, id) {

            var $myId = 'mainContentPlaceHolder_' + id;
            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
                    ({
                        modal: true,
                        resizable: true,
                        draggable: false,
                        modal: true,
                        close: function (event, ui) { $('body').find('#dialog').remove(); },
                        buttons:
                        {
                            'Yes': function () {
                                $(this).dialog('close');
                                $.ajax({ url: "ServiceInstanceDetail.aspx?command=remove", cache: false }, function () {
                                });
                                location = location;
                            },
                            'No': function () {
                                $(this).dialog('close');
                                // Do nothing.
                            }
                        }
                    });

        }
        function OkDialog(obj, title, dialogText, url) {

            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
            ({
                modal: true,
                resizable: true,
                draggable: false,
                modal: true,
                close: function (event, ui) { $('body').find('#dialog').remove(); },
                buttons:
                {
                    'Ok': function () {
                        $(this).dialog('close');
                        $.ajax({ url: url, cache: false }, function () {
                            location.reload()
                        });
                        location.reload();
                    }
                }
            });

        }

    </script>
    <div>
        <h2>customer portal</h2>
    </div>
    <div class="TextHolder">
        <p>
            Welcome to the Customer Portal. From here you can manage your Touch Apps OnPremise installation.
        </p>
    </div>
    <div class="clear" style="height: 25px;">
        <asp:Literal ID="Literal1" runat="server"></asp:Literal>
    </div>
    <div id="deviceApproval" runat="server">
        <h3>Device Approval</h3>
        <div class="clear">
        </div>
        <div id="deviceAlert" runat="server" class="deviceAlert">
        </div>

        <div id="pendingDeviceApproval" runat="server">
            <asp:GridView ID="GridViewDeviceRegister"
                DataSourceID="InstanceAppDeviceRegister" AutoGenerateColumns="False" AllowSorting="True"
                runat="server" BackColor="White" CssClass="tableData" DataKeyNames="service_instance_id"
                GridLines="Vertical"
                OnRowDataBound="GridViewDeviceRegister_RowDataBound"
                PageSize="20">

                <Columns>
                    <asp:BoundField DataField="service_instance_id" HeaderText="System ID" />
                </Columns>
                <SelectedRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
                <HeaderStyle CssClass="tableHeader" />
            </asp:GridView>

            <asp:ObjectDataSource runat="server" ID="InstanceAppDeviceRegister"
                TypeName="Ifs.Cloud.AdminDb.ServiceInstanceDataSource"
                SelectMethod="SystemsHavingPendingDevices">
                <SelectParameters>
                    <asp:SessionParameter Name="service_order_id" SessionField="SERVICE_ORDER_ID"
                        Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>

        </div>
    </div>
    <div class="clear" style="height: 25px;">
    </div>

    <div class="TextHolder">
        <div id="ServiceOrder">
            <div class="clear"></div>
            <h3>Customer information</h3>
            <asp:GridView ID="GridViewServiceOrders" runat="server"
                AutoGenerateColumns="False" BackColor="White" CssClass="tableData"
                DataKeyNames="service_order_id,admin_contact_name,admin_contact_email,admin_contact_phone,rowversion,ifs_customer_name,cust_tech_contact_name,cust_tech_contact_email,cust_tech_contact_phone,ifs_tech_contact_name,ifs_tech_contact_email,ifs_tech_contact_phone,service_order_status" DataSourceID="ServiceOrderDataSource"
                GridLines="Vertical" PageSize="20"
                OnRowDataBound="GridViewServiceOrders_RowDataBound">
                <HeaderStyle CssClass="tableHeader" />
                <Columns>
                    <asp:CommandField ItemStyle-CssClass="column_border_hide_right" ShowEditButton="True">
                        <ControlStyle ForeColor="#863D8D" />
                    </asp:CommandField>
                    <asp:BoundField DataField="service_order_id" HeaderText="Service Order ID"
                        ItemStyle-HorizontalAlign="Right" SortExpression="service_order_id"
                        Visible="False">
                        <ItemStyle HorizontalAlign="Right"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="ifs_customer_id" HeaderText="IFS Customer ID"
                        SortExpression="ifs_customer_id" />
                    <asp:BoundField DataField="admin_contact_name"
                        HeaderText="Administrative Contact Name"
                        SortExpression="admin_contact_name" ReadOnly="True" Visible="False" />
                    <asp:BoundField DataField="ifs_customer_name" HeaderText="Customer Name"
                        SortExpression="ifs_customer_name" />
                    <asp:BoundField DataField="admin_contact_email"
                        HeaderText="Administrative Contact Email"
                        SortExpression="admin_contact_email" Visible="False" />
                    <asp:BoundField DataField="admin_contact_phone"
                        HeaderText="Administrative Contact Phone No"
                        SortExpression="admin_contact_phone" Visible="False" />
                    <asp:BoundField DataField="ifs_tech_contact_name"
                        HeaderText="IFS Technical Contact Name"
                        SortExpression="ifs_tech_contact_name" Visible="False" />
                    <asp:BoundField DataField="ifs_tech_contact_email"
                        HeaderText="IFS Technical Contact Email"
                        SortExpression="ifs_tech_contact_email" Visible="False" />
                    <asp:BoundField DataField="ifs_tech_contact_phone"
                        HeaderText="IFS Technical Contact Phone"
                        SortExpression="ifs_tech_contact_phone" Visible="False" />
                    <asp:BoundField DataField="cust_tech_contact_name"
                        HeaderText="Customer Technical Contact Name"
                        SortExpression="cust_tech_contact_name" Visible="False" />
                    <asp:BoundField DataField="cust_tech_contact_email"
                        HeaderText="Customer Technical Contact Email"
                        SortExpression="cust_tech_contact_email" Visible="False" />
                    <asp:BoundField DataField="cust_tech_contact_phone"
                        HeaderText="Customer Technical Contact Phone"
                        SortExpression="cust_tech_contact_phone" Visible="False" />
                    <asp:BoundField DataField="service_order_status"
                        HeaderText="Service Order Status" ReadOnly="True"
                        SortExpression="service_order_status" Visible="False" />
                </Columns>
            </asp:GridView>
            <asp:ObjectDataSource ID="ServiceOrderDataSource" runat="server"
                DataObjectTypeName="Ifs.Cloud.AdminDb.ServiceOrder" SelectMethod="Select"
                TypeName="Ifs.Cloud.AdminDb.ServiceOrderDataSource" UpdateMethod="Update"></asp:ObjectDataSource>
        </div>
    </div>
    <p></p>
    <div class="clear" style="height: 25px;">
    </div>
    <div id="installations" class="TextHolder">
        <h3>IFS Applications Installations</h3>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:GridView ID="GridViewInstallData" runat="server" CssClass="tableData" Width="900px"
            OnRowCommand="GridViewInstallData_RowCommand" AutoGenerateColumns="False"
            DataKeyNames="service_instance_id"
            OnRowDataBound="GridViewInstallData_RowDataBound">
            <AlternatingRowStyle BackColor="#F8F0F9" />
            <Columns>
                <asp:ButtonField CommandName="EDIT" Text="Edit" />
                <asp:ButtonField CommandName="CONFIG" Text="Configure" />
                <asp:ButtonField CommandName="REMOVE" Text="Remove" />
                <asp:BoundField DataField="cloud_installation_id" HeaderText="System ID"
                    SortExpression="cloud_installation_id" />
                <asp:BoundField DataField="service_instance_status"
                    HeaderText="Status" SortExpression="service_instance_status" Visible="True" />
                <asp:BoundField DataField="ifs_installation_id"
                    HeaderText="IFS Installation ID" SortExpression="ifs_installation_id" />
                <asp:BoundField DataField="uplink_ifsapp_version"
                    HeaderText="Applications Version" SortExpression="uplink_ifsapp_version" />
                <asp:BoundField DataField="application_server_url"
                    HeaderText="Application Server URL"
                    SortExpression="application_server_url" />
                <asp:BoundField DataField="service_instance_id"
                    HeaderText="service_instance_id" SortExpression="service_instance_id"
                    Visible="False" />
                <asp:BoundField DataField="service_order_id" HeaderText="service_order_id"
                    SortExpression="service_order_id" Visible="False" />
                <asp:BoundField DataField="is_test" HeaderText="is_test"
                    SortExpression="is_test" Visible="false" />
                <asp:BoundField DataField="uplink_url" HeaderText="uplink_url"
                    SortExpression="uplink_url" Visible="False" />
                <asp:BoundField DataField="uplink_ifsapp_service_pack"
                    HeaderText="uplink_ifsapp_service_pack"
                    SortExpression="uplink_ifsapp_service_pack" Visible="False" />
                <asp:BoundField DataField="uplink_version" HeaderText="uplink_version"
                    SortExpression="uplink_version" Visible="False" />
                <asp:BoundField DataField="rowversion" HeaderText="rowversion"
                    SortExpression="rowversion" Visible="false" />
                <asp:BoundField DataField="uplink_connection_time"
                    HeaderText="uplink_connection_time" SortExpression="uplink_connection_time" Visible="false" />
            </Columns>
            <HeaderStyle CssClass="tableHeader" />
            <RowStyle BackColor="White" />
        </asp:GridView>
        <asp:ObjectDataSource ID="ServiceInstance" runat="server" SelectMethod="Select"
            TypeName="Ifs.Cloud.AdminDb.ServiceInstanceDataSource"></asp:ObjectDataSource>
        <div class="clear" style="height: 10px;">
        </div>
        <asp:LinkButton ID="AddServiceInstance" Text="Add System" runat="server" CssClass="purpleLinkButton"
            OnClick="AddServiceInstance_Click"></asp:LinkButton>
    </div>
    <div class="clear" style="height: 10px;">
    </div>
    <div id="cloud_connection" runat="server">
        <h3>Cloud Connection</h3>
        <asp:Label ID="LabelRegistrationStatus" CssClass="label" runat="server"></asp:Label>
        <asp:LinkButton ID="ButtonRegister" runat="server" CssClass="purpleLinkButton" OnClick="ButtonCloudConnectionRegistration_Click">Registration</asp:LinkButton>
    </div>
    <div class="clear" style="height: 25px;">
    </div>
    <div id="app_resource_download" runat="server">
        <h3>App Resource Download</h3>
        <asp:LinkButton runat="server" CssClass="purpleLinkButton" OnClick="ButtonAppResourceDownload_Click">Download and install App Resources.</asp:LinkButton>
    </div>
    <div class="clear" style="height: 25px;">
    </div>
</asp:Content>
