﻿<%@ Page Title="" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true" CodeBehind="SystemLogs.aspx.cs" Inherits="Ifs.TouchApps.OnPremise.ServerRole.SystemLogs" %>


<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">
    <script type="text/javascript">
        $(function () {
            var dates = $("#<%=SvrFrom.ClientID%>, #<%=SvrTo.ClientID%>").datepicker({
                defaultDate: "+1w",
                /*changeMonth: true,*/
                changeYear: true,
                numberOfMonths: 1,
                showOn: "button",
                buttonImage: "images/calendar.gif",
                buttonImageOnly: true,
                onSelect: function (selectedDate) {
                    var option = this.id == "<%=SvrFrom.ClientID%>" ? "minDate" : "maxDate",
					instance = $(this).data("datepicker"),
					date = $.datepicker.parseDate(
						instance.settings.dateFormat ||
						$.datepicker._defaults.dateFormat,
						selectedDate, instance.settings);
                    dates.not(this).datepicker("option", option, date);
                }
            });
        });

    </script>
    <div>
        <h2>
            system log</h2>
    </div>
    <div class="TextHolder">
        <p style="margin-bottom:20px">Please select below criteria's to generate system logs</p>
        <div id="UsageLogPanel">
            <table class="UsageLogInputPaneltable">
                <tbody>
                    <tr>
                        <td><p>Category:</p></td>
                        <td><asp:DropDownList ID="CategoryList" runat="server" CssClass="textbox" 
                                DataMember="Key" DataTextField="Value" DataValueField="Key">
                            </asp:DropDownList></td>
                        <td><p style="margin-left:20px">From:</p></td>
                        <td><input id="SvrFrom" runat="server" readonly="readonly" /></td>
                        <td rowspan="2">
                            <p style="margin-left:20px;float:right">
                                <asp:Button ID="Button_View" runat="server" Text="View" CssClass="button" OnClick="Generate_Click" />
                                <asp:Button ID="Button_Export" runat="server" Text="Export to Excel" CssClass="button" OnClick="Export_To_Excel" />
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td><p>Source:</p></td>
                        <td><asp:DropDownList ID="SourceList" runat="server" CssClass="textbox" 
                                DataMember="Key" DataTextField="Value" DataValueField="Key">
                            </asp:DropDownList></td>
                        <td><p style="margin-left:20px">To:</p></td>
                        <td><input id="SvrTo" runat="server" readonly="readonly" /></td>
                        </tr>
                    </tbody>
            </table>
            <br />
            <asp:Label ID="LabelMessage" runat="server" CssClass="label"></asp:Label>
            <p><asp:Label ID="statusMessage" runat="server" ForeColor="Red"/></p>
            <asp:GridView ID="GridViewSystemLog" OnPageIndexChanging="GridView_PageIndexChanging"
                OnSorting="GridView_Sorting" runat="server" CssClass="tableData" AllowPaging="True"
                PageSize="30" Width="100%" AutoGenerateColumns="False" 
                AllowSorting="True">
                <AlternatingRowStyle BackColor="#F8F0F9" />
                <Columns>
                    <asp:BoundField DataField="logdate" HeaderText="Date" 
                        SortExpression="logdate" />
                    <asp:BoundField DataField="Category" HeaderText="Category" 
                        SortExpression="category" />
                    <asp:BoundField DataField="Source" HeaderText="Source" 
                        InsertVisible="False" SortExpression="source" />
                    <asp:BoundField DataField="Message" HeaderText="Message" 
                        SortExpression="message" />
                </Columns>
                <HeaderStyle CssClass="tableHeader" ForeColor="White" />
            </asp:GridView>
        </div>
    </div>
</asp:Content>