﻿<%@ Page Title="" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true"
    CodeBehind="UsageLog.aspx.cs" Inherits="Ifs.Cloud.SharedWebItems.UsageLog" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">
    <script type="text/javascript">
        $(function () {
            var dates = $("#<%=SvrFrom.ClientID%>, #<%=SvrTo.ClientID%>").datepicker({
                defaultDate: "+1w",
                /*changeMonth: true,*/
                changeYear: true,
                numberOfMonths: 1,
                showOn: "button",
                buttonImage: "images/calendar.gif",
                buttonImageOnly: true,
                onSelect: function (selectedDate) {
                    var option = this.id == "<%=SvrFrom.ClientID%>" ? "minDate" : "maxDate",
					instance = $(this).data("datepicker"),
					date = $.datepicker.parseDate(
						instance.settings.dateFormat ||
						$.datepicker._defaults.dateFormat,
						selectedDate, instance.settings);
                    dates.not(this).datepicker("option", option, date);
                }
            });
        });

    </script>
    <div>
        <h2>
            usage log</h2>
    </div>
    <div class="TextHolder">
        <p>
            Please select below criteria's to generate your usage log.</p>
        <div id="UsageLogPanel">
            <table class="UsageLogInputPaneltable">
                <tr>
                    <td>
                        <p>
                            System ID:&nbsp;
                            <asp:DropDownList ID="SystemList" runat="server" CssClass="textbox" 
                                DataMember="service_instance_id" DataTextField="cloud_installation_id">
                            </asp:DropDownList>
                            &nbsp;&nbsp; From:
                            <input id="SvrFrom" runat="server" readonly="readonly" />&nbsp;&nbsp;&nbsp;To:
                            <input id="SvrTo" runat="server" readonly="readonly" /></p>
                        <p>
                            <asp:Button ID="btn_generate" runat="server" Text="View" CssClass="button" OnClick="btn_generate_Click" />
                        </p>
                    </td>
                </tr>
            </table>
            <br />
            <p>
                <asp:ImageButton ID="btn_export" runat="server" ImageUrl="~/images/msExcel.png" CssClass="right"
                    ToolTip="Export to Excel file" OnClick="Export_To_Excel" Height="24px" 
                    Width="24px" Visible="False" /></p>
            <asp:Label ID="LabelMessage" runat="server" CssClass="label"></asp:Label>
            <asp:GridView ID="GridViewTransactionsLog" OnPageIndexChanging="GridView_PageIndexChanging"
                OnSorting="GridView_Sorting" runat="server" CssClass="tableData" AllowPaging="True"
                PageSize="30" Width="850px" AutoGenerateColumns="False" 
                AllowSorting="True">
                <AlternatingRowStyle BackColor="#F8F0F9" />
                <Columns>
                    <asp:BoundField DataField="timestamp" HeaderText="Timestamp" 
                        SortExpression="timestamp" />
                    <asp:BoundField DataField="user_id" HeaderText="User" 
                        SortExpression="user_id" />
                    <asp:BoundField DataField="application_name" HeaderText="Application" 
                        InsertVisible="False" SortExpression="application_name" />
                    <asp:BoundField DataField="cloud_application_version" HeaderText="Resource Version" SortExpression="cloud_application_version" />
                    <asp:BoundField DataField="application_version" HeaderText="Client Version" SortExpression="application_version" />
                    <asp:BoundField DataField="client_platform" HeaderText="Client Platform" 
                        SortExpression="client_platform" />
                    <asp:BoundField DataField="cloud_installation_id" HeaderText="System ID" SortExpression="cloud_installation_id" />
                    <asp:BoundField DataField="transaction_desc" 
                        HeaderText="Transaction Description" SortExpression="transaction_desc" />
                </Columns>
                <HeaderStyle CssClass="tableHeader" ForeColor="White" />
            </asp:GridView>
        </div>
    </div>
</asp:Content>
