﻿<%@ Page Title="" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true"
    CodeBehind="AppConfig.aspx.cs" Inherits="Ifs.TouchApps.OnPremise.ServerRole.AppConfig" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">
    <script language="javascript" type="text/javascript">

        String.Format = function () {
            var s = arguments[0];
            for (var i = 0; i < arguments.length - 1; i++) {
                var reg = new RegExp("\\{" + i + "\\}", "gm");
                s = s.replace(reg, arguments[i + 1]);
            }
            return s;
        }


        function ShowMessage(obj, title, dialogText) {

            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
                ({
                    modal: true,
                    resizable: true,
                    draggable: false,
                    modal: true,
                    close: function (event, ui) { $('body').find('#dialog').remove(); },
                    buttons:
                    {
                        'Ok': function () {
                            $(this).dialog('close');
                        }
                    }
                });
        }

        function ConfirmDialog(obj, title, dialogText, id) {

            var $myId = 'mainContentPlaceHolder_' + id;
            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
                ({
                    modal: true,
                    resizable: true,
                    draggable: false,
                    modal: true,
                    close: function (event, ui) { $('body').find('#dialog').remove(); },
                    buttons:
                    {
                        'Yes': function () {
                            $(this).dialog('close');
                            document.getElementById($myId).checked = false;

                        },
                        'No': function () {
                            $(this).dialog('close');
                            document.getElementById($myId).checked = true;
                        }
                    }
                });
        }

        function DeleteConfirmDialog(obj, title, dialogText, id) {

            var $myId = 'mainContentPlaceHolder_' + id;
            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
            ({
                modal: true,
                resizable: true,
                draggable: false,
                modal: true,
                close: function (event, ui) { $('body').find('#dialog').remove(); },
                buttons:
                {
                    'Yes': function () {
                        $(this).dialog('close');
                        $.ajax({ url: "CustomerPortal.aspx?command=disableAppConfig", cache: false }, function () {
                            location.reload()
                        });
                    },
                    'No': function () {
                        $(this).dialog('close');
                        document.getElementById($myId).checked = true;
                    }
                }
            });
        }
        function UpgradeConfirmDialog(obj, title, dialogText, id, idOld, url) {

            var $myId = 'mainContentPlaceHolder_' + id;
            var $myIdOld = 'mainContentPlaceHolder_' + idOld;

            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, dialogText));
            $('#dialog').dialog
            ({
                modal: true,
                resizable: true,
                draggable: false,
                modal: true,
                close: function (event, ui) { $('body').find('#dialog').remove(); },
                buttons:
                {
                    'Yes': function () {
                        $(this).dialog('close');
                        document.getElementById($myIdOld).checked = false;
                        $.ajax({ url: url, cache: false }, function () {
                            location.reload()
                        });
                    },
                    'No': function () {
                        $(this).dialog('close');
                        document.getElementById($myId).checked = false;
                    }
                }
            });
        }

    </script>
    <div id="MainContent">
        <h3>configure your System:
            <asp:Label ID="lblConfigureSystem" runat="server"></asp:Label></h3>
        For information about the different apps see
        <asp:LinkButton runat="server" CssClass="purpleLinkButton" PostBackUrl="https://cloud.ifsworld.com/Apps.aspx">IFS Cloud.</asp:LinkButton>
        <div class="clear" style="height: 25px;">
            <asp:Label ID="tmp" runat="server"></asp:Label>
        </div>
        <div style="color: Red; font-size: 0.9em;">
            <asp:Literal ID="FailureText" runat="server" EnableViewState="true"></asp:Literal>
        </div>
        <div>
            <asp:CheckBox ID="DeviceApprovalCheckBox" AutoPostBack="True" Text="Enable App Device Approval"
                TextAlign="Right" Checked="False" OnCheckedChanged="OnCheckedChangedMethod" runat="server" />
            <br />
            <br />
            <asp:Panel ID="PanelInstanceAppApprovalConfiguration" runat="server">
                <div id="piac">
                    <asp:HyperLink ID="deviceRegisterLink" Text="Device Register" NavigateUrl="~\DeviceApproval.aspx"
                        runat="server" />
                    <div class="clear" style="height: 10px;">
                    </div>
                    <asp:GridView ID="GridViewInstanceAppApprovalConfiguration" runat="server" CssClass="tableData"
                        AutoGenerateColumns="False" DataSourceID="InstanceAppApprovalConfiguration" OnRowDataBound="GridViewInstanceAppApprovalConfiguration_RowDataBound"
                        OnRowCommand="GridViewInstanceAppApprovalConfiguration_RowCommand">
                        <Columns>
                            <asp:ButtonField Text="✔" HeaderText="Approval Required" CommandName="CHECK"></asp:ButtonField>
                            <asp:BoundField DataField="approval_required" HeaderText="Approval Required" SortExpression="approval_required" />
                            <asp:BoundField DataField="service_instance_id" SortExpression="service_instance_id"
                                Visible="True" HeaderStyle-Width="0" ItemStyle-Width="0" ItemStyle-ForeColor="White"
                                ReadOnly="True"></asp:BoundField>
                            <asp:BoundField DataField="app_name" HeaderText="Application" SortExpression="app_name"
                                ReadOnly="True" />
                        </Columns>
                        <HeaderStyle CssClass="tableHeader" />
                    </asp:GridView>
                </div>
            </asp:Panel>
            <asp:Panel ID="PanelAuthenticationBlockInfo" runat="server">
                <div id="authenticationBlockInfo">
                    <h4>Authentication Block</h4>
                    <table>
                        <tr>
                            <td>
                                <asp:CheckBox ID="cbAuthenticationBlockEnabled" runat="server" OnCheckedChanged="cbAuthenticationBlockEnabled_CheckedChanged" AutoPostBack="true" Text="Enable Authentication Block" />
                            </td>
                        </tr>
                        <tr>
                            <td>Authentication Block Threshold</td>
                            <td>
                                <asp:TextBox ID="tbAuthenticationBlockThreshold" ClientIDMode="Static" runat="server" /></td>
                            <td>
                                <asp:CustomValidator ID="validatorAuthBlockThreshold" ControlToValidate="tbAuthenticationBlockThreshold" runat="server" ErrorMessage="Authentication Block Threshold is a required positive integer." OnServerValidate="validatorAuthBlockParam_Validate" ValidateEmptyText="true"></asp:CustomValidator></td>
                        </tr>
                        <tr>
                            <td>Authentication Block Duration (seconds)</td>
                            <td>
                                <asp:TextBox ID="tbAuthenticationBlockDuration" ClientIDMode="Static" runat="server" /></td>
                            <td>
                                <asp:CustomValidator ID="validatorAuthBlockDuration" ControlToValidate="tbAuthenticationBlockDuration" runat="server" ErrorMessage="Authentication Block Duration is a required positive integer." OnServerValidate="validatorAuthBlockParam_Validate" ValidateEmptyText="true"></asp:CustomValidator></td>
                        </tr>
                        <tr>
                            <td colspan="2" align="right">
                                <asp:Button ID="btnUpdateAuthBlockSettings" runat="server" Text="Update" CssClass="purpleButton" OnClick="btnUpdateAuthBlockSettings_Click" /></td>
                        </tr>
                    </table>
                    <div id="authenticationBlockInfoSep1" class="clear" style="height: 10px">
                    </div>

                    <asp:Panel ID="PanelBlockedUsersTable" runat="server">
                        <table id="blockedUsersTable">
                            <tr>
                                <td><strong>Blocked Users</strong></td>
                            </tr>
                            <tr>
                                <td>
                                    <p style="font-style: italic">
                                        (note: this list is a snapshot that may be outdated.)
                                    </p>
                                    <asp:LinkButton ID="lbUnblockAll" Text="Unblock All" runat="server" OnClick="lbUnblockAll_Click"></asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                        <table>
                            <tr>
                                <td>
                                    <asp:PlaceHolder ID="AuthenticationBlockPlaceholder" runat="server"></asp:PlaceHolder>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>

                </div>
                <div id="authenticationBlockInfoSep2" class="clear" style="height: 10px;">
                </div>
            </asp:Panel>
            <asp:Panel runat="server">
                <asp:ObjectDataSource ID="InstanceAppApprovalConfiguration" runat="server" SelectMethod="Select"
                    TypeName="Ifs.TouchApps.OnPremise.ServerRole.DataSourceUtil" DataObjectTypeName="Ifs.Cloud.AdminDb.InstanceAppApprovalConfiguration"
                    UpdateMethod="Update">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="systemID" QueryStringField="system_id" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <asp:ObjectDataSource ID="ServiceInstanceConfiguration" runat="server" SelectMethod="GetServiceInstance"
                    UpdateMethod="SaveServiceInstance" TypeName="Ifs.Cloud.Production.ProductionStorageUtil">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="systemID" QueryStringField="system_id" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <div id="boxedFrame">
                    <asp:PlaceHolder ID="AppPlaceHolder" runat="server"></asp:PlaceHolder>
                </div>
                <asp:ScriptManager ID="ScriptManager" runat="server">
                </asp:ScriptManager>
            </asp:Panel>
        </div>
    </div>
    <div class="clear" style="height: 25px;">
    </div>

</asp:Content>
