﻿<%@ Page Title="Service Instance" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true" CodeBehind="ServiceInstanceDetail.aspx.cs" Inherits="Ifs.TouchApps.OnPremise.ServerRole.ServiceInstanceDetail" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    </asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">
    <script language="javascript" type="text/javascript">

        String.Format = function () {
            var s = arguments[0];
            for (var i = 0; i < arguments.length - 1; i++) {
                var reg = new RegExp("\\{" + i + "\\}", "gm");
                s = s.replace(reg, arguments[i + 1]);
            }
            return s;
        }


        function OkDialog(obj, title, dialogText) {

            var $myId = 'mainContentPlaceHolder_';

            $('body').append(String.Format("<div id='dialog' title='{0}'><p>{1}</p></div>", title, $.url.decode(dialogText)));
            $('#dialog').dialog
                ({
                    modal: true,
                    resizable: true,
                    draggable: false,
                    modal: true,
                    close: function (event, ui) { $('body').find('#dialog').remove(); },
                    buttons:
                    {
                        'Ok': function () {
                            $(this).dialog('close');
                        }
                    }
                });
        }
              
    </script>
<div>
            <div class="TextHolder">
                <h4>add/update service instance</h4>
                <table style="width: 1000px">
                    <tr>
                        <td>
                            <asp:Label ID="lblSystemID" runat="server" Text="System ID" CssClass=".label"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextBoxSystemID" runat="server" CssClass=".textbox"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ErrorMessage="*"
                                ControlToValidate="TextBoxSystemID" ForeColor="Red" 
                                ValidationGroup="ServiceInstance"></asp:RequiredFieldValidator>
                            <asp:Literal ID="ltrlInstId" runat="server" 
                                Text="Cloud Installation ID already exists" Visible="False"></asp:Literal>
                        </td>
                    </tr>
                    <tr>
                    <td>
                        <asp:Label ID="LabelStatus" runat="server" Text="System Status" CssClass=".label"></asp:Label>
                    </td>
                    <td>
                    <asp:TextBox ID="TextBoxStatus" runat="server" CssClass=".textbox" Enabled="false"></asp:TextBox>
                    </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lblIfsInstallationID" runat="server" Text="IFS Installation ID" CssClass=".label"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextBoxIfsInstallationID" runat="server" CssClass=".textbox"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator11" runat="server" ErrorMessage="*"
                                ControlToValidate="TextBoxIfsInstallationID" ForeColor="Red" 
                                ValidationGroup="ServiceInstance"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lblEnvironmentType" runat="server" Text="Environment Type" CssClass=".label"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="ListEnvType" runat="server" CssClass=".textbox">
                                <asp:ListItem Selected="True" Value="0">Production</asp:ListItem>
                                <asp:ListItem Value="1">Test</asp:ListItem>
                                <asp:ListItem Value="2">Demo</asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="LabelIfsappVersion" runat="server" Text="IFS Applications Version" CssClass=".label"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="DropDownListApplicationsVersion" runat="server" 
                                CssClass=".textbox" AutoPostBack="True" 
                                onselectedindexchanged="DropDownListApplicationsVersion_SelectedIndexChanged">
                                <asp:ListItem Value="APPS75">Apps75</asp:ListItem>
                                <asp:ListItem Value="APPS8">Apps8</asp:ListItem>
                                <asp:ListItem Value="APPS9">Apps9</asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                    <td>
                        <asp:Label ID="LabelApplicationServerURL" runat="server" Text="Application Server URL" CssClass=".label"></asp:Label>
                    </td>
                    <td>
                    <asp:TextBox ID="TextBoxApplicationServerURL" runat="server" CssClass=".textbox"></asp:TextBox>
                         <asp:Button ID="Button3" runat="server" Text="Ping" 
                                onclick="ButtonPingApplicationServer_Click" />
                        <asp:Label ID="lblPingMessage" runat="server" ForeColor="GrayText" ></asp:Label>
                    </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lblUser" runat="server" Text="IFS Apps Login ID" CssClass=".label"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="txtUser" runat="server" CssClass=".textbox"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lblPassword" runat="server" Text="IFS Apps Password" CssClass=".label"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" CssClass=".textbox"></asp:TextBox>
                            <asp:Label ID="lblPasswordInfo" runat="server" ForeColor="GrayText"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;</td>
                        <td>
                            &nbsp;</td>
                    </tr>
                </table>                    
                <table>
                    <tr>
                        <td><asp:Button ID="btnAddSvcInstance" runat="server" OnClick="btnAddSvcInstance_Click"
                        Text="Save" CssClass="purpleButton" ValidationGroup="ServiceInstance" />
                        </td>
                        <td>
                            <asp:Button ID="ButtonCancel" runat="server" Text="Cancel" 
                                onclick="ButtonCancel_Click" CssClass="purpleButton"/>
                        </td>
                    </tr>
                </table>
            </div>
</div>
</asp:Content>
