﻿<%@ Page Title="" Language="C#" MasterPageFile="~/IFSCloudWeb.Master" AutoEventWireup="true" CodeBehind="SignIn.aspx.cs" Inherits="Ifs.TouchApps.OnPremise.ServerRole.SignIn" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="server">
    <script language="javascript" type="text/javascript">
    function ShowErrorDetail() {
        var hidden = document.getElementById("mainContentPlaceHolder_HiddenFieldErrorDetail");
        var text = hidden.value;
        alert(text);
    }
</script>    
    <h2>
        Sign in to Touch Apps</h2>
    <br />
    <div class="TextHolder" style="width: 800px;">
        <div class="logonText">
            <p>
                Sign in here to manage your IFS Touch Apps, view subscriptions, configure apps and
                more.</p>
            <br />
            <br />
            <p>
                To use the IFS Touch Apps customer portal you can either login as a 
                administrator in your IFS Applications installation and use those credentials or 
                you can login with your windows credentials if you belong to the Administrators 
                group on the server.<br />
            </p>
        </div>
        <div class="logonboxcontent">
            <table class="logontable">
                <tr>
                    <td align="left" style="color: Red; font-size: 0.9em;">
                        <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                        <asp:LinkButton ID="LinkButtonErrorDetails" runat="server" 
                            EnableViewState="false" OnClientClick="javascript:ShowErrorDetail()" 
                            Visible="False">Show Details</asp:LinkButton>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="SystemIdlabel" runat="server" AssociatedControlID="SystemID" CssClass="label">System ID</asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:TextBox ID="SystemID" runat="server" CssClass="textbox"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="SystemID"
                            ErrorMessage="System ID is required." ToolTip="System ID is required." ValidationGroup="PortalLogIn"
                            ForeColor="Red">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" CssClass="label">User Name</asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:TextBox ID="UserName" runat="server" CssClass="textbox"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                            ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="PortalLogIn"
                            ForeColor="Red">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" CssClass="label">Password</asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:TextBox ID="Password" runat="server" TextMode="Password" CssClass="textbox"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                            ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="PortalLogIn"
                            ForeColor="Red">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="padding-right: 15px; padding-top: 10px;">
                    <asp:CheckBox runat="server" Text="Local Admin" style="padding-right: 45px;" 
                            ID="LocalAdmin" AutoPostBack="True" 
                            oncheckedchanged="LocalAdmin_CheckedChanged"/>
                        <asp:Button ID="LoginButton" CssClass="purpleButton" runat="server" CommandName="Login"
                            Text="Sign In" ValidationGroup="PortalLogIn" OnClick="LoginButton_Click" />
                    </td>
                </tr>
            </table>
        <asp:HiddenField ID="HiddenFieldErrorDetail" runat="server"/>
        </div>
    </div>
    <div class="clear">
    </div>
</asp:Content>
